summaryrefslogtreecommitdiffstats
path: root/maven/make-pom-one.sh
diff options
context:
space:
mode:
Diffstat (limited to 'maven/make-pom-one.sh')
-rwxr-xr-xmaven/make-pom-one.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/maven/make-pom-one.sh b/maven/make-pom-one.sh
new file mode 100755
index 0000000..c1e2c43
--- /dev/null
+++ b/maven/make-pom-one.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+if [ $# -ne 2 ]
+then
+ echo "make-pom-one: usage: project version" 1>&2
+ exit 1
+fi
+
+PROJECT="$1"
+shift
+VERSION="$1"
+shift
+
+PLATFORMS=`cat make-platforms.txt | awk '{print $1}'` || exit 1
+
+cd "projects/${PROJECT}" || exit 1
+exec ./pom.sh "${VERSION}" ${PLATFORMS}